Subject: Re: [bug#62153] [PATCH] Add Docker layered image for pack and system (v3)

From: Greg Hogan <[email-masked]>
Date: Fri, 2 Jun 2023 13:02:38 -0400

On Wed, May 31, 2023 at 9:14 AM Oleg Pykhalov <[email-masked]> wrote:
[...]
> Do you mean use layered images by default without ability to build all
> in a single layer?  Current layered implementation is slow to build
> because it needs to calculate a size of each layer, pack, and compress.
> So if user wants a faster build, a non-layered image is still an option.
>
> Regards,
> Oleg.

I am trying out your patch, and wanted to benchmark the runtime
difference between docker and docker-layered packs, but the latter
looks to be failing with any compression other than the default gzip.
In particular, I was looking to disable compression with
'--compression=none'.